Name:		qtractor
Version:	1.5.6
Release:	%mkrel 1
Summary:	An Audio/MIDI multi-track sequencer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://qtractor.sourceforge.io/
# https://www.rncbc.org/archive/
Source0:	https://sourceforge.net/projects/qtractor/files/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(rubberband)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lilv-0) >= 0.24.24
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(suil-0) >= 0.10.20
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(aubio)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	ladspa-devel
BuildRequires:	qttools6
BuildRequires:	cmake

Requires:	dssi
Requires:	ladspa

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt5 or Qt6 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

desktop-file-install \
	--remove-key="X-SuSE-translate" \
	--remove-key="Version" \
	--set-key=Exec --set-value="%{name}" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%find_lang %{name} --with-man --with-qt

%files -f %{name}.lang
%doc README LICENSE TRANSLATORS ChangeLog
%dir %{_libdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/%{name}_plugin_scan
%{_datadir}/%{name}/
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/org.rncbc.%{name}.png
%{_iconsdir}/hicolor/scalable/apps/org.rncbc.%{name}.svg
%{_iconsdir}/hicolor/32x32/mimetypes/org.rncbc.%{name}.application-x-%{name}*.png
%{_iconsdir}/hicolor/scalable/mimetypes/org.rncbc.%{name}.application-x-%{name}*.svg
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/man/man1/%{name}.1*


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 1.5.6-1.mga10
+ Revision: 2247123
- new version: 1.5.6

* Thu Apr 10 2025 daviddavid <daviddavid> 1.5.4-1.mga10
+ Revision: 2174458
- new version: 1.5.4

* Fri Feb 14 2025 daviddavid <daviddavid> 1.5.3-1.mga10
+ Revision: 2148751
- new version: 1.5.3

* Thu Jan 02 2025 daviddavid <daviddavid> 1.5.1-1.mga10
+ Revision: 2134906
- new version: 1.5.1

* Thu Jan 02 2025 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2134823
- new version: 1.5.0

* Tue Dec 10 2024 daviddavid <daviddavid> 1.4.0-2.mga10
+ Revision: 2123357
- rebuild for new rubberband 4.0.0

* Thu Nov 14 2024 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2115122
- new version: 1.4.0

* Fri Nov 01 2024 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2111920
- new version: 1.3.0

* Tue Sep 03 2024 daviddavid <daviddavid> 1.2.0-1.mga10
+ Revision: 2092908
- new version: 1.2.0

* Tue Aug 06 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2083745
- new version: 1.1.1

* Tue Aug 06 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2083695
- new version: 1.1.0

* Sun Jun 23 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2076253
- new version: 1.0.0

* Sun Jan 28 2024 philippedidier <philippedidier> 0.9.39-1.mga10
+ Revision: 2035620
- new version 0.9.39 built upon suil-0.10.20 and lilv-0.24.24

* Sat Jan 13 2024 daviddavid <daviddavid> 0.9.38-1.mga10
+ Revision: 2030865
- new version: 0.9.38

* Sun Dec 10 2023 daviddavid <daviddavid> 0.9.37-1.mga10
+ Revision: 2016744
- new version: 0.9.37

* Wed Sep 20 2023 daviddavid <daviddavid> 0.9.35-1.mga10
+ Revision: 1988444
- new version: 0.9.35

* Mon Aug 28 2023 daviddavid <daviddavid> 0.9.34-1.mga10
+ Revision: 1980341
- new version: 0.9.34

* Sat Jan 28 2023 daviddavid <daviddavid> 0.9.31-1.mga9
+ Revision: 1936577
- new version: 0.9.31

* Sat Dec 31 2022 daviddavid <daviddavid> 0.9.30-1.mga9
+ Revision: 1928366
- new version: 0.9.30

* Sun Dec 11 2022 daviddavid <daviddavid> 0.9.29-1.mga9
+ Revision: 1920751
- new version: 0.9.29

* Sat Sep 10 2022 papoteur <papoteur> 0.9.28-1.mga9
+ Revision: 1886548
- new 0.9.28

* Mon Aug 22 2022 papoteur <papoteur> 0.9.27-2.mga9
+ Revision: 1879361
- Don't preempt generic directories. Restore detailed inclusion of langs

* Mon Aug 22 2022 papoteur <papoteur> 0.9.27-1.mga9
+ Revision: 1879351
- new 0.9.27. Use Qt6

* Tue Apr 05 2022 umeabot <umeabot> 0.9.22-2.mga9
+ Revision: 1844468
- Mageia 9 Mass Rebuild

* Wed May 19 2021 daviddavid <daviddavid> 0.9.22-1.mga9
+ Revision: 1725599
- new version: 0.9.22

* Tue Mar 23 2021 daviddavid <daviddavid> 0.9.21-1.mga9
+ Revision: 1708034
- new version: 0.9.21

* Thu Feb 25 2021 daviddavid <daviddavid> 0.9.20-1.mga9
+ Revision: 1690886
- new version: 0.9.20

* Tue Dec 22 2020 daviddavid <daviddavid> 0.9.19-1.mga8
+ Revision: 1662727
- new version: 0.9.19

* Thu Dec 17 2020 umeabot <umeabot> 0.9.18-2.mga8
+ Revision: 1659639
- Rebuild for new Qt5

* Tue Nov 03 2020 daviddavid <daviddavid> 0.9.18-1.mga8
+ Revision: 1642393
- new version: 0.9.18

* Wed Sep 16 2020 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1626953
- new version: 0.9.17

* Mon Aug 10 2020 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1612585
- new version: 0.9.16

* Tue Jun 30 2020 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1600587
- new version: 0.9.15

* Tue May 12 2020 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1583239
- new version: 0.9.14

* Sun Mar 29 2020 daviddavid <daviddavid> 0.9.13-1.mga8
+ Revision: 1562052
- new version: 0.9.13

* Tue Feb 18 2020 umeabot <umeabot> 0.9.12-2.mga8
+ Revision: 1541567
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 30 2019 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1474886
- new version: 0.9.12

* Mon Nov 11 2019 daviddavid <daviddavid> 0.9.11-1.mga8
+ Revision: 1459144
- new version: 0.9.11

* Sun Oct 13 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1452668
- new version: 0.9.10

* Fri Jul 26 2019 daviddavid <daviddavid> 0.9.9-1.mga8
+ Revision: 1424190
- new version: 0.9.9

* Sat Jun 29 2019 daviddavid <daviddavid> 0.9.8-1.mga8
+ Revision: 1415878
- new version: 0.9.8

* Tue Apr 16 2019 daviddavid <daviddavid> 0.9.7-1.mga7
+ Revision: 1391821
- new version: 0.9.7

* Mon Apr 01 2019 umeabot <umeabot> 0.9.6-2.mga7
+ Revision: 1384494
- Qt5 Rebuild

* Thu Mar 21 2019 daviddavid <daviddavid> 0.9.6-1.mga7
+ Revision: 1379367
- new version: 0.9.6

* Fri Feb 15 2019 daviddavid <daviddavid> 0.9.5-1.mga7
+ Revision: 1367143
- new version: 0.9.5

* Sat Feb 09 2019 daviddavid <daviddavid> 0.9.4-1.mga7
+ Revision: 1364402
- new version: 0.9.4

* Fri Dec 07 2018 daviddavid <daviddavid> 0.9.3-1.mga7
+ Revision: 1338789
- new version: 0.9.3

* Mon Sep 10 2018 daviddavid <daviddavid> 0.9.2-1.mga7
+ Revision: 1258105
- new version: 0.9.2

* Wed May 30 2018 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1233083
- new version: 0.9.1

* Fri Mar 23 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1211419
- new version: 0.9.0

* Wed Jan 31 2018 daviddavid <daviddavid> 0.8.6-1.mga7
+ Revision: 1198177
- new version: 0.8.6

* Wed Dec 06 2017 daviddavid <daviddavid> 0.8.5-1.mga7
+ Revision: 1181529
- new version: 0.8.5

* Fri Sep 22 2017 daviddavid <daviddavid> 0.8.4-1.mga7
+ Revision: 1157772
- new version: 0.8.4

* Tue Jul 18 2017 daviddavid <daviddavid> 0.8.3-1.mga7
+ Revision: 1124825
- new version: 0.8.3

* Tue May 16 2017 animtim <animtim> 0.8.2-1.mga6
+ Revision: 1102109
- update to 0.8.2
- add a patch to prevent stripping of release binaries

* Sat Feb 18 2017 daviddavid <daviddavid> 0.8.1-1.mga6
+ Revision: 1086689
- new version: 0.8.1
- enable GTK2 plugin GUI support

* Wed Nov 23 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 1069373
- new version: 0.8.0

* Sat Sep 24 2016 daviddavid <daviddavid> 0.7.9-1.mga6
+ Revision: 1055647
- new version: 0.7.9

* Sat Jun 25 2016 daviddavid <daviddavid> 0.7.8-1.mga6
+ Revision: 1037619
- new version: 0.7.8

* Sat Apr 30 2016 daviddavid <daviddavid> 0.7.7-1.mga6
+ Revision: 1008002
- new version: 0.7.7

* Wed Apr 06 2016 daviddavid <daviddavid> 0.7.6-1.mga6
+ Revision: 998835
- new version: 0.7.6

* Tue Mar 22 2016 daviddavid <daviddavid> 0.7.5-1.mga6
+ Revision: 993897
- new version: 0.7.5

* Sun Feb 21 2016 daviddavid <daviddavid> 0.7.4-2.mga6
+ Revision: 975378
- rebuild against fixed rubberband on arm

* Fri Jan 29 2016 daviddavid <daviddavid> 0.7.4-1.mga6
+ Revision: 928650
- new version: 0.7.4

* Thu Dec 31 2015 daviddavid <daviddavid> 0.7.3-1.mga6
+ Revision: 917241
- new version: 0.7.3

* Sat Dec 12 2015 daviddavid <daviddavid> 0.7.2-1.mga6
+ Revision: 909640
- new version: 0.7.2
- fix owner of data dir

* Sat Oct 10 2015 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 888727
- new version: 0.7.1
- re-enable debug package as it should
- remove merged upstream patch

* Sat Aug 08 2015 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 861638
- new version: 0.7.0
- switch to Qt5 build
- update BuildRequires (alsa, vorbis, Qt5Core, Qt5Widgets, Qt5Xml, Qttools5)
- remove unneeded Requires on suil-gtk2-in-qt4 and suil-x11-in-qt4
- remove path from Exec in desktop file
- add upstream patch to fix build with Qt 5.5
  * http://sourceforge.net/p/qtractor/tickets/171/
  * https://github.com/KaOSx/apps/blob/master/qtractor/qt5.5.diff

* Sat Jul 25 2015 daviddavid <daviddavid> 0.6.7-1.mga6
+ Revision: 857567
- new version: 0.6.7
- update file list (add an appdata.xml file)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 746434
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.2-3.mga5
+ Revision: 730080
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-2.mga5
+ Revision: 688555
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.6.2-1.mga5
+ Revision: 671024
- new version 0.6.2
- fix files list

* Mon Oct 21 2013 umeabot <umeabot> 0.5.10-2.mga4
+ Revision: 538277
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 0.5.10-1.mga4
+ Revision: 489164
- New version: 0.5.10

* Sun Jul 14 2013 wally <wally> 0.5.9-1.mga4
+ Revision: 454042
- new version 0.5.9
- clean .spec a bit

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 380035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 0.5.6-1.mga3
+ Revision: 321677
- new version
- removed BR slv2
- changed requires
- validated desktop file
- cleaned spec
- thanks to Philippe Didier (bug #7840)
+ fwang <fwang>
- new version 0.5.5

* Sun Mar 04 2012 juancho <juancho> 0.5.4-1.mga2
+ Revision: 217778
- Updated to 0.5.4

* Sat Dec 10 2011 eatdirt <eatdirt> 0.5.1-2.mga2
+ Revision: 180391
- Rebuilt for librubberband-1.7.0

* Thu Dec 01 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 174724
- update file list
- new version 0.5.1

* Wed Sep 07 2011 tv <tv> 0.5.0-1.mga2
+ Revision: 139981
- new release
- enable new LV2 GUI support through suil and lilv

* Sun May 08 2011 shikamaru <shikamaru> 0.4.8-2.mga1
+ Revision: 96528
- new release 0.4.8 - bump rel to ease upgrade from mdv

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4.7-1.mga1
+ Revision: 86000
- Clean spec (buildroot, defines, macros, one req per line)
- imported package qtractor


* Sun Oct 17 2010 Frank Kober <emuse@mandriva.org> 0.4.7-1mdv2011.0
+ Revision: 586281
- new version 0.4.7

* Sat May 22 2010 Frank Kober <emuse@mandriva.org> 0.4.6-1mdv2011.0
+ Revision: 545709
- new version 0.4.6 (numerous bugfixes, some new features)
- adjust icon file path
- add DESTDIR to makeinstall step

* Mon May 03 2010 Frank Kober <emuse@mandriva.org> 0.4.5-3mdv2010.1
+ Revision: 541876
- fix desktop categories, use silent setup

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - slv2-devel already requires lv2core-devel

* Thu Apr 22 2010 Frank Kober <emuse@mandriva.org> 0.4.5-2mdv2010.1
+ Revision: 538023
- enable LV2 plugin support

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.5-1mdv2010.1
+ Revision: 495307
- update to new version 0.4.5

* Mon Jan 18 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 493271
- update to new version 0.4.4

* Wed Dec 23 2009 Frank Kober <emuse@mandriva.org> 0.4.3-2mdv2010.1
+ Revision: 481875
- bump release

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 462596
- update to new version 0.4.3

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 411056
- rebuild for new liblo

* Fri Jun 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 383124
- update to new version 0.4.2

* Tue May 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372250
- update to new version 0.4.1

* Fri Mar 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 359036
- update to new version 0.4.0

* Mon Feb 23 2009 trem <trem@mandriva.org> 0.3.0-1mdv2009.1
+ Revision: 344292
- update to 0.3.0

* Sat Dec 06 2008 trem <trem@mandriva.org> 0.2.2-1mdv2009.1
+ Revision: 311232
- import qtractor


